<?php


namespace App\Models;
use Illuminate\Database\Eloquent\Model;

class Category extends Model
{
    protected $table = "categories";

    protected $fillable = [
        'name', 'display_name','is_active','description','keywords','title'
    ];

    public function models(){
        return $this->belongsToMany('App\Models\Model', 'model_category', 'category_id','model_id');
    }
}
